Does OpenOffice 2.2.0 work on Ubuntu 6.10?

I just wanted to know, if the OpenOffice 2.2.0 installation will work on Ubuntu 6.10?